<?php
/**
 * Created by PhpStorm.
 * User: merdan
 * Date: 7/26/2019
 * Time: 18:09
 */

namespace TPS\Payment\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
class Controller extends BaseController
{
    use DispatchesJobs, ValidatesRequests;

    public function status(){

        return view('payment::order-status');
    }

    /**
     * Cancel payment from gateway
     *
     * @return \Illuminate\Http\RedirectResponse
     */
    public function cancel(){
        session()->flash('error', trans('payment::messages.unsuccessfull'));

        return redirect()->route('shop.checkout.cart.index');
    }
}